# Load the pwr package
library(pwr)

# Perform power analysis for Two-Tailed Paired-Samples T-Test
# Effect Size = 0.5 (Medium)
# Target Power = 0.80
# Alpha Error = 0.05
# Type = Two-Tailed
power_analysis_result <- pwr.t.test(d = 0.5, power = 0.80, sig.level = 0.05, type = "paired", alternative = "two.sided")

# Print results
print(power_analysis_result)